| Disk ARchive 2.7.19 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Classes | Namespaces
data_tree.hpp File Reference
Private

base classes used to store entree information in dar_manager databases More...

`#include "../my_config.h"`
`#include <map>`
`#include <string>`
`#include <deque>`
`#include <set>`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`
`#include "user_interaction.hpp"`
`#include "path.hpp"`
`#include "database_listing_callback.hpp"`
`#include "database_aux.hpp"`

Go to the source code of this file.

## Classes
class | libdar::data_tree
| the data_tree class stores presence of a given file in a set of archives More...

## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

base classes used to store entree information in dar_manager databases

Definition in file data_tree.hpp.